
Redmine - Defect #19923

Not all Imap mails get received correctly

2015-05-22 14:45 - Hadi Makhlouf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.3

Description

I am using redmine with receiving email to an inbox.

When I send email to my helpdesk for redmine, the one coming from example hotmail, gmail (web), and so on all works fine.

If I send from my Iphone or from my mail client (Lotus notes example) or IOS mail client or other clients, the email comes in but no

attachements and I can't see owner-email.

No errors reports on rake.

If I check my helpdesk account I see that the ones that doesn't come in to redmine with attachment goes into mailbox failure, the

ones coming from hotmail and gmail (web) all goes in correctly to accept box.

System Ubuntu 14.04 64bits

Environment:

Redmine version                2.6.3.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  3.2.21

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

clipboard_image_paste          1.10

redmine_add_to_calendar        0.0.2

redmine_checklists             3.1.1

redmine_contacts               3.4.5

redmine_email_fetcher          0.3.1

redmine_email_images           0.1.1

redmine_helpdesk               0.0.12

redmine_ics_export             3.0.1.dev

redmine_idonethis              0.1

redmine_nu_mobile_viewer       1.1.0

redmine_silencer               0.4.0

redmine_tweaks                 0.5.1

sidebar                        0.1.2

History

#1 - 2015-05-22 14:57 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please attach sample mail.

#2 - 2015-05-22 15:02 - Hadi Makhlouf

can you elaborate?

How do you want it ?from sent box?

#3 - 2015-05-22 15:10 - Toshi MARUYAMA

source:tags/2.6.5/test/fixtures/mail_handler

#4 - 2015-05-22 15:19 - Hadi Makhlouf
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.5/test/fixtures/mail_handler


- File mail-inbox-redmine-failure.png added

#5 - 2015-05-22 15:23 - Hadi Makhlouf

sorry for my ignorance but what can I do with the link above?

best regards

#6 - 2015-05-22 15:35 - Toshi MARUYAMA

Please attach sample *.eml.

#7 - 2015-05-22 15:43 - Hadi Makhlouf

- File domino-post.eml added

Thanks I got it now! was a bit tiered!

I clean it a bit from private info!

Best regards

#8 - 2015-05-22 16:38 - Toshi MARUYAMA

- File domino-test.diff added

Your mail is broken.

Content-Type: image/jpeg;

name=image1.JPG;

x-apple-part-url=AAB8284F-5AE8-494F-8F19-38A0590D223A

Content-Disposition: inline;

filename=image1.JPG

Content-Transfer-Encoding: base64

 should be

Content-Type: image/jpeg;

  name=image1.JPG;

  x-apple-part-url=AAB8284F-5AE8-494F-8F19-38A0590D223A

Content-Disposition: inline;

  filename=image1.JPG

Content-Transfer-Encoding: base64

#9 - 2015-05-22 18:14 - Hadi Makhlouf

Hi Toshi

if you mean the size it is because I reduce the email attachment by removing a huge jung of of text...

else I can't see the difference other then there are no tabs...

#10 - 2015-05-22 19:08 - Toshi MARUYAMA

Header (e.g. Content-Type) should be at beginning of line.

Break-word (e.g. name=image1.JPG;) should be indent.

I think your MTA breaks your mail.

X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06)

X-SA-Exim-Version: 4.2.1 (built Wed, 25 Jun 2008 17:20:07 +0000)

 Too old.

#11 - 2015-05-23 12:00 - Hadi Makhlouf

Hi if it is the spam filter is it not supposed to do the same problem for all emails?

#12 - 2015-05-23 12:15 - Hadi Makhlouf

- File mail-from-iphone.txt added

#13 - 2015-05-23 12:22 - Hadi Makhlouf

- File mail-from-ios-working.txt added

This email get received correctly in redmine.
#14 - 2015-05-23 12:53 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Redmine uses mail gem.

We cannot do anything.

Please ask mail gem team.

https://github.com/mikel/mail

Files

no-attachement.png 42.4 KB 2015-05-22 Hadi Makhlouf

working_websend_.png 75.2 KB 2015-05-22 Hadi Makhlouf

mail-inbox-redmine-failure.png 437 KB 2015-05-22 Hadi Makhlouf

domino-post.eml 5.93 KB 2015-05-22 Hadi Makhlouf

domino-test.diff 16.4 KB 2015-05-22 Toshi MARUYAMA

mail-from-iphone.txt 63.8 KB 2015-05-23 Hadi Makhlouf

mail-from-ios-working.txt 63.8 KB 2015-05-23 Hadi Makhlouf

Powered by TCPDF (www.tcpdf.org)

2025-05-19 3/3

https://github.com/mikel/mail
http://www.tcpdf.org

